首页 > 程序开发 > 软件开发 > 其他 >

升级Struts2 2.3.15.1升级到2.3.32

2017-03-14

升级Struts2 2 3 15 1升级到2 3 32,由于struts2漏洞升级 原来升级到2 3 28 1 文件记载的很多东西都已丢失,最近内网的一个服务器需要公布到外网上,正好又遇到了 S2-045漏洞。以前记载的东西都已丢失。

由于struts2漏洞升级 原来升级到2.3..28.1 文件记载的很多东西都已丢失,最近内网的一个服务器需要公布到外网上,正好又遇到了 S2-045漏洞。以前记载的东西都已丢失。

所以在网上开记载。同时和大家分享。

升级到 2.3..28.1基本替换的架包

xwork-core-2.3.28.1.jar ;struts2-json-plugin-2.3.28.1.jar;struts2-convention-plugin-2.3.28.1.jar ;struts2-core-2.3.28.1

有些可能已经替换了的架包,但需要相匹配的不同版本的架包。

ognl-3.0.14.jar 如果这个架包的版本不对 就会报java.lang.NoSuchFieldError: VERSION_2_3_0

还有可能需要替换的架包

freemarker-2.3.22.jar;commons-lang3-3.2.jar;javassist-3.11.0.GA.jar;commons-io-2.2.jar;commons-fileupload-1.3.1.jar

升级struts2版本基本就会更改它的配置文件。

如果没有配置这个你会发现。你原来的项目报404错误,

这个是开启或禁止调用动态方法,如果是false,则不会有动态调用产生的404错误。

如果你不升级spring 则不需要添加struts2-spring-plugin-2.3.28.1.jar ;如果需要添加这个架包就需要把整个spring版本升级。不然你会报错。

升级到 2.3..28.1基本替换的架包

xwork-core-2.3.32.jar ;struts2-json-plugin-2.3.32.jar;struts2-convention-plugin-2.3.32.jar ;struts2-core-2.3.32;ognl-3.0.14.jar(版本对应)


相关文章
最新文章
热点推荐